pipetty(1)

NAME
pipetty - a tool to pipe from a pseudoterminal

SYNOPSIS
pipetty command [ args... ]

DESCRIPTION
pipetty lets you make a program unaware that its output is being redirected. This is usually useful for tools that detect whether they're run from a terminal and modify their output, typically colorizing it only when run interactively.

Usually, disabling colors when redirected is a good thing as most tools can't cope with ANSI codes. Use pipetty when you do want colors, like when you're going to feed that output to ansi2html or less -R.

CAVEATS
Certain programs, such as bash, don't quite like their stdin to be on a different terminal than stdout.

SEE ALSO
ansi2html(1), ansi2txt(1), less(1).